
NAME
magicscore

AUTHORS
Jean-Etienne Morlighem <jemorlighem@vegetalsignals.com>

VERSION
1.0

DESCRIPTION
Docker to illustrate the use of Git submodules


USAGE

¤ in `online` mode


### Run a container with default container port 

$ docker run --rm -it -p <HOST_PORT>:5000 \ 
         <IMAGE_TAG> python api.py



### API requests 

# readme 
# - GET request 
curl http://127.0.0.1:5000/readme
# - response: unstructured text data 

# compute 
# - POST request 
curl http://127.0.0.1:5000/compute -H "Content-Type: application/json" -X POST -d '{}'
# - data format: 
# {
#     "data_list": [<float>],
#     "device_list": [<str>],
#     "datetime_last": <str>,
#     "version": <int>
# }
# - response format: 
# {
#     "output": {
#         "feed_length": <int>,
#         "feed_sum": <float>,
#         "feed_average": <float>,
#         "feed_median": <float>,
#         "feed_stdev": <float>
#         },
#     "output_issue_status": <int>
# }
